Name:     perl-constant
Version:  1.33
Release:  421
Summary:  Perl pragma to declare constants
License:  GPL+ or Artistic
URL:      https://metacpan.org/release/constant
Source0:  https://cpan.metacpan.org/authors/id/R/RJ/RJBS/constant-%{version}.tar.gz
BuildArch:noarch

BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  perl(Carp) perl(vars) perl(warnings::register)
BuildRequires:  perl(Test::More) perl(utf8) perl(warnings)
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Carp)

%description
This pragma allows you to declare constants at compile-time.
When a constant is used in an expression, Perl replaces it with its
value at compile time, and may then optimize the expression further.
In particular, any code in an "if (CONSTANT)" block will be optimized
away if the constant is false.

%package_help

%prep
%autosetup -n constant-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%{_mandir}/*/*.gz

%changelog
* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.33-421
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:change mod of file

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.33-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of README

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.33-419 
- Package init
